@font-face {
    font-family: "UTM Impact";
    src: url("/fonts/UTM-Impact.ttf") format("woff");
    font-weight: bold;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "UTM Impact", sans-serif;
}
ul {
    list-style: none;
    margin: 0;
}
img {
    max-width: 100%;
}
body {
    width: 100%;
    min-height: 100vh;
    background: url("./images/main-bg.webp") center center / cover no-repeat;
    overflow-x: hidden;
}
.main-mobile,
.inmobile {
    display: none;
}
header {
    width: 100%;
    padding: 10px 20px;
    background: linear-gradient(90deg, #008346 0%, #03ec80 100%);
    box-shadow: 0 2px 5px rgba(0, 148, 79, 0.9);
}
.hd-container {
    width: 100%;
    margin: 0 auto;
    padding: 0 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.site-logo {
    height: 60px;
}
.site-logo img {
    height: 100%;
}
.hd-menu {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 50px;
}
.hd-menu li a {
    font-weight: 900;
    text-transform: uppercase;
}
main {
    width: 100%;
    margin: 0 auto;
    display: flex;
    align-items: stretch;
    justify-content: center;
    min-height: calc(100vh - 80px);
}
.flex-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
.left-site {
    position: relative;
    flex: 1;
    transition: all 0.5s ease;
}
.left-site:hover {
    background: rgba(255, 255, 255, 0.08);
    backdrop-filter: blur(8px);
}
.right-site {
    min-width: 600px;
    border-left: solid 2px #00da5b;
    background: rgba(0, 20, 4, 0.75);
}

.players {
    position: relative;
    max-height: calc(100vh - 100px);
}
.players img {
    height: 100%;
    object-fit: contain;
}
.gold-btn {
    font-family: Roboto, sans-serif;
    display: inline-block;
    padding: 15px 30px;
    font-weight: bold;
    text-decoration: none;
    color: #333;

    background: linear-gradient(to bottom, #ffd84d, #d49a00);
    border-radius: 10px;
    /* border-top-left-radius: 0;
    border-bottom-left-radius: 38px;
    border-top-right-radius: 38px;
    border-bottom-right-radius: 0; */

    position: relative;
    transition: all 0.2s ease;
    box-shadow: 0 2px 5px 2px rgba(0, 0, 0, 0.3);
    z-index: 2;
}
.gold-btn:hover {
    background: linear-gradient(to bottom, #ffb900, #d49a00);
    color: #444;
    box-shadow:
        0 0 5px #ffc72c,
        0 0 7px #ffd04f,
        0 0 10px #ffdd81;
}
.teams {
    margin-top: 50px;
}
.teams .vs {
    margin: 40px 0;
}
/* top shine */
.gold-btn::before {
    content: "";
    position: absolute;
    left: 2px;
    right: 2px;
    top: 1px;
    height: 45%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0));
    pointer-events: none;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.box-detail {
    border-radius: 10px;
    border: solid 2px #279f4b;
    text-transform: uppercase;
    font-weight: 900;
    text-align: center;
    font-size: 20px;
    box-shadow: 0 0 15px 1px #77e381;
    margin-bottom: 25px;
}
.box-detail div {
    position: relative;
    padding: 10px 12px;
    width: 200px;
    height: 80px;
    transition: all 0.3s ease;
    white-space: nowrap;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.box-detail .team-logo {
    width: 35%;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
}
.box-detail .team-logo img {
    height: 100%;
    object-fit: contain;
}
.box-detail .team-odds {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: nowrap;
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    background: linear-gradient(0deg, #002d03 0%, #002d03 45%, #065d07 55%, #065d07 100%);
}
.box-detail .team-odds span {
    font-size: 32px;
    font-weight: 600;
    color: #fff;
    text-shadow:
        1px 1px 1px black,
        1px -1px 1px black,
        -1px 1px 1px black,
        -1px -1px 1px black;
}
.match-title {
    text-align: center;
    margin-bottom: 40px;
}
.match-title h2 {
    font-size: 50px;
    white-space: nowrap;
    font-weight: 900;
    margin-bottom: 10px;
    background: linear-gradient(0deg, #e76800 10%, #e7a900 50%, #ffe175);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    -webkit-text-fill-color: transparent;
}
.match-title p {
    font-size: 38px;
    font-weight: 600;
    color: #fff;
    text-shadow:
        1px 1px 1px black,
        1px -1px 1px black,
        -1px 1px 1px black,
        -1px -1px 1px black;
}
.match-details {
    position: relative;
    align-items: stretch;
}
/* .box-detail div:last-child {
    font-size: 36px;
    text-shadow:
        -1px -1px 0 white,
        1px -1px 0 white,
        -1px 1px 0 white,
        1px 1px 0 white,
        0px 1px 0 white,
        1px 0px 0 white,
        -1px 0px 0 white,
        0px -1px 0 white;
} */
.copyline {
    height: 190px;
    margin-top: 30px;
    margin-left: -30px;
}

.red-btn {
    position: relative;
    width: 100%;
    max-width: 450px;
    margin-top: 40px;
    animation: zoombounce 1s infinite;
    cursor: pointer;
}
.red-btn-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 40px;
    font-weight: bold;
    color: #fff;
    white-space: nowrap;
    text-transform: uppercase;
    text-shadow:
        1px 1px 1px black,
        1px -1px 1px black,
        -1px 1px 1px black,
        -1px -1px 1px black;
}

.logo-wrap::before {
    content: "";
    position: absolute;
    inset: -2px;
    /* border: 2px solid; */
    background: linear-gradient(0deg, #fffb00, #ffe19f);
    border-radius: 10px;
    clip-path: inset(0 0 98% 0);
    animation: border-run 3s linear infinite;
}
.btn-signup-wrap {
    position: relative;
    display: inline-block;
}

.btn-signup-wrap::before {
    content: "";
    position: absolute;
    inset: -2px;
    /* border: 2px solid; */
    background: linear-gradient(0deg, #fffb00, #ffe19f);
    border-radius: 10px;
    clip-path: inset(0 0 98% 0);
    animation: border-run 3s linear infinite;
}
.btn-signup-wrap::after {
    content: "";
    position: absolute;
    inset: -2px;
    /* border: 2px solid; */
    background: linear-gradient(0deg, #fffb00, #ffe5ae);
    border-radius: 10px;
    clip-path: inset(98% 0 0 0);
    animation: border-run2 3s linear infinite;
}
.btn-signup-wrap::after {
    animation-duration: 3s;
    /* animation-direction: reverse; */
    opacity: 0.8;
}

.glass-wrapper {
    position: absolute;
    top: 20px;
    left: 0;
    width: 100%;
    height: 70%;
    overflow: hidden;
    border-radius: 40px;
}
.glass-btn {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;

    overflow: hidden;
    cursor: pointer;
}

/* reflection layer */
.glass-btn::before {
    content: "";
    position: absolute;
    top: 5px;
    left: -50%;
    width: 50%;
    height: 90%;

    background: linear-gradient(120deg, transparent, rgba(255, 255, 255, 0.5), transparent);

    transform: skewX(-25deg) translateX(-100%);
    animation: glass-refection 3s linear infinite;
}
.glass-btn::after {
    content: "";
    position: absolute;
    top: 5px;
    left: -50%;
    width: 50%;
    height: 90%;

    background: linear-gradient(120deg, transparent, rgba(255, 255, 255, 0.4), transparent);

    transform: skewX(-25deg) translateX(-100%);
    animation: glass-refection 3s linear infinite 150ms;
}

@keyframes glass-refection {
    0% {
        transform: skewX(-25deg) translateX(-200%);
    }
    30% {
        transform: skewX(-25deg) translateX(400%);
    }
    100% {
        transform: skewX(-25deg) translateX(400%);
    }
}
@keyframes border-run {
    0%,
    100% {
        clip-path: inset(0 0 98% 0);
    }

    25% {
        clip-path: inset(0 98% 0 0);
    }
    50% {
        clip-path: inset(98% 0 0 0);
    }
    75% {
        clip-path: inset(0 0 0 98%);
    }
}

@keyframes border-run2 {
    0%,
    100% {
        clip-path: inset(98% 0 0 0);
    }

    25% {
        clip-path: inset(0 0 0 98%);
    }
    50% {
        clip-path: inset(0 0 98% 0);
    }
    75% {
        clip-path: inset(0 98% 0 0);
    }
}

@keyframes doubleBlink {
    /* normal */
    0%,
    4%,
    8%,
    100% {
        opacity: 1;
    }

    /* blink 1 */
    2% {
        opacity: 0;
    }

    /* blink 2 */
    6% {
        opacity: 0;
    }
}
@keyframes shine {
    0% {
        background-position: -200% center;
    }
    100% {
        background-position: 200% center;
    }
}
@keyframes blinkbutton {
    0%,
    100% {
        background: linear-gradient(to bottom, #ffd84d, #d49a00);
        color: #000;
        box-shadow: 0 0 20px rgba(255, 185, 0, 0.6);
    }
    50% {
        background: linear-gradient(to bottom, #303030, #333);
        color: #ffb900;
        box-shadow: 0 0 20px rgba(255, 185, 0, 0.2);
    }
}
@keyframes blinkcolor {
    0%,
    100% {
        color: #ffffff;
    }
    50% {
        color: #d80000;
    }
}
@keyframes zoombounce {
    0%,
    100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.1);
    }
}

@media (max-width: 1024px) {
    body {
        background: url("./images/main-bg-mobile.webp") right bottom / cover no-repeat;
    }

    .indesktop {
        display: none;
    }
    .inmobile {
        display: block;
        width: 100%;
        height: auto;
        border-bottom: solid 2px #00da5b;
    }
    main {
        width: 100%;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
    .players {
        max-height: unset;
    }
    .players img {
        height: auto;
        object-fit: contain;
    }
    .main-mobile {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .main-desktop {
        display: block;
    }

    .right-site {
        border-left: unset;
        min-width: unset;
        padding: 20px 10px;
        padding-bottom: 50px;
        width: 100%;
        min-height: calc(100vh - 70vw);
    }
    .site-logo {
        height: 35px;
    }
    .hd-container,
    .hd-menu {
        padding: 0px;
    }
    .flex-col.teams {
        flex-direction: row;
    }
    .flex-row.match-details {
        position: relative;
        bottom: unset;
        margin-top: 0px;
        flex-direction: column;
    }

    .match-title h2 {
        font-size: 40px;
        white-space: normal;
        margin-bottom: 5px;
    }
    .match-title p {
        font-size: 24px;
    }
    .copyline {
        margin-left: 0;
        height: auto;
    }
    .gold-btn {
        font-size: 14px;
        padding: 10px;
        font-weight: 600;
    }
    .box-detail div {
        padding: 4px 8px;
        height: 60px;
    }
    .box-detail {
        width: 80%;
        margin: 5px auto;
    }
    .box-detail .team-odds span {
        font-size: 24px;
    }
}

@media (max-width: 700px) {
    main {
        min-height: 100%;
    }
    .match-title h2 {
        font-size: 28px;
    }
    .match-title p {
        font-size: 18px;
    }
    .red-btn {
        width: 85%;
        margin: 40px auto;
    }
    .red-btn-text {
        font-size: 30px;
    }
}
